List Drafts
curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/drafts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/drafts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/drafts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"drafts": [
{
"inbox_id": "<string>",
"draft_id": "<string>",
"labels": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"to": [
"<string>"
],
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_id": "<string>"
}
],
"in_reply_to": "<string>",
"send_at": "2023-11-07T05:31:56Z"
}
],
"limit": 123,
"next_page_token": "<string>"
}{
"name": "<string>",
"message": "<string>"
}Drafts
List Drafts
List drafts across AgentMail inboxes.
GET
https://api.aisa.one/apis/v1
/
agentmail
/
drafts
List Drafts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Query Parameters
Limit of number of items returned.
Page token for pagination.
Labels to filter by.
Timestamp before which to filter by.
Timestamp after which to filter by.
Sort in ascending temporal order.
⌘I